package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class GenericViewVO  extends BaseMasterVO {

		/**
		 * @author Andri
		 */
		private static final long serialVersionUID = 715784036911072684L;

		@NotNull(message = "previx tidak boleh kosong")
		@Column(name = "previx", nullable = false)
		@Caption(value = "previx")
		private String previx;

		@NotNull(message = "kdGenericView tidak boleh kosong")
		@Column(name = "kdGenericView", nullable = false)
		@Caption(value = "Kode Generic View")
		private Integer kdGenericView;
		
		@NotNull(message = "deskripsi tidak boleh kosong")
		@Column(name = "deskripsi", nullable = false)
		@Caption(value = "deskripsi")
		private String deskripsi;

		public String getPrevix() {
			return previx;
		}

		public void setPrevix(String previx) {
			this.previx = previx;
		}

		public Integer getKdGenericView() {
			return kdGenericView;
		}

		public void setKdGenericView(Integer kdGenericView) {
			this.kdGenericView = kdGenericView;
		}

		public String getDeskripsi() {
			return deskripsi;
		}

		public void setDeskripsi(String deskripsi) {
			this.deskripsi = deskripsi;
		}

		public String getNama() {
			return reportDisplay;
		}
		
}
